package de.butterfly;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

@FacesConverter("integerConverter")
public class IntegerConverter implements Converter {

    public Object getAsObject(FacesContext facesContext, UIComponent uiComponent, String param) {
        return Integer.decode(param);
    }

    public String getAsString(FacesContext facesContext, UIComponent uiComponent, Object obj) {
        return String.valueOf(obj);
    }
}